Subject: Re: What is minimal 6.0.1 disk?
From: [email-masked] (David Empson)
Date: Sun, 12 Jun 1994 05:07:04 GMT
Newsgroups: comp.sys.apple2

In article <[email-masked]>,
Chris Sherman <[email-masked]> wrote:
> I have been downloading alot of software on the net lately, but most
> of it will not boot on my GS.  I believe that this is because I do not
> have the applications of interest directly on the 3.5" sys 6.0.1 disk.
> Unfortunatly, the system 6.0.1 disk is loaded to the hilt with its own
> software.  What files can I take off of the system disk to bring it down
> to its minimal size and still have 6.0.1 load and have gs/os ready to launch
> a program?

The best candidate for removal is Finder itself.  You can either set
up a smaller startup program (or use the game in question as the
startup program), or use the SetStart CDEV.  System 6 includes a
miniature launcher program (standard file dialog) which is brought up
when you quit from the launch application.

For some unfathomable reason, the system software doesn't go into this
launcher if you have NO startup program, so the best way I've found to
invoke it is to have a very small Start program which immediately
quits.  You can also use SetStart to set the startup application, and
then delete the application you selected.  SetStart will quit in this
case, bringing up the launcher.

In your case, it is probably easier to make the program you want to
run into the startup program.  Put it in the root directory, and
rename it so that it has .SYS16 on the end of its name (e.g.
Solarian.SYS16), or .SYSTEM if it is a ProDOS-8 program.

You can delete BASIC.SYSTEM.  If the disk is only going to be used on
a ROM 1 or a ROM 3 machine (and not both), you can delete either of
TS2 or TS3 (in SYSTEM/SYSTEM.SETUP) - delete TS2 if you'll be using it
on a ROM 3, or TS3 if you'll be using it on a ROM 1.  For a ROM 3, you
may be able to delete some of the toolsets, but I wouldn't recommend it.

You can usually delete all of the fonts.  It is probably worth keeping
FastFont, but it can be deleted as well.

If you've deleted Finder, you can also get rid of the FinderExtras
folder and any Finder data/defaults files in the root directory or
System.  You can probably delete Icons:FType.Apple, as nothing will be
trying to use it, and the Icons folder.

You are unlikely to need the graphics control panel, so delete
System:Desk.Accs:ControlPanel and the whole CDEVS folder.

If your program only uses GS/OS, you can also delete the P8 file from
the System folder.

The bare minimum:

ProDOS
System:
  Start.GS.OS
  GS.OS
  Error.Msg
  GS.OS.Dev
  System.Setup:
    Tool.Setup
    TS2 or TS3
    Resource.Mgr
    Sys.Resources
  Tools:
    Any required toolsets
  Fonts:
    (no files, but leave the folder; Font.Lists may be created)
  FSTs:
    Char.FST
    Pro.FST
  Drivers:
    AppleDisk3.5
    Console.Driver
  Desk.Accs:
    (no files, but leave the folder)

I just tried setting up this disk (with my "quit immediately" program
in System:Start), and it leaves 365k free (on a ROM 3, with TS2
deleted but the toolsets intact)

If you need more space, and you are not going to be running a desktop
program, you can get rid of several toolsets.  TextEdit is not likely
to be used by older programs, so TOOL034 can go (39k).

Note that the built-in launcher program requires Standard File and
several other toolsets, and it supports desk accessories, so if you
want to be able to use this you can't delete any other toolsets.

In total, the Tools folder occupies 206k with the standard "minimum"
set of tools.
-- 
David Empson
[email-masked]
Snail mail: P.O. Box 27-103, Wellington, New Zealand